unit Opendlg;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, FileCtrl, ExtCtrls, Mchklist;

type
  TMultiOpendialog = class(TForm)
    filenamelabel: TLabel;
    FilterComboBox1: TFilterComboBox;
    ChkListBox1: TChkListBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    DirectoryListBox1: TDirectoryListBox;
    Label4: TLabel;
    DriveComboBox1: TDriveComboBox;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Edit1: TEdit;
    FileListBox1: TFileListBox;
    procedure DirectoryListBox1Change(Sender: TObject);
    procedure FileListBox1Change(Sender: TObject);
    procedure ChkListBox1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FilterComboBox1Change(Sender: TObject);
    procedure ChkListBox1DblClick(Sender: TObject);
  private
    { Private declarations }
  public
   re: integer;
   selection : string;
  end;

var
  MultiOpendialog: TMultiOpendialog;

implementation

{$R *.DFM}

procedure TMultiOpendialog.DirectoryListBox1Change(Sender: TObject);
begin
filelistbox1.directory := DirectoryListBox1.directory;
end;

procedure TMultiOpendialog.FileListBox1Change(Sender: TObject);
begin
selection := '';
ChkListBox1.selection := '';
ChkListBox1.clear;
ChkListBox1.items := filelistbox1.items;
end;

procedure TMultiOpendialog.ChkListBox1Click(Sender: TObject);
begin
edit1.text := ChkListBox1.items[ChkListBox1.itemindex];
end;

procedure TMultiOpendialog.Button1Click(Sender: TObject);
begin
 re := 1;
 modalresult := MrOk;
 if edit1.text = '*.rtf' then
   edit1.text := '';
 close;
end;

procedure TMultiOpendialog.Button2Click(Sender: TObject);
begin
 re := 2;
 modalresult := Mrcancel;
 close;
end;

procedure TMultiOpendialog.FormCreate(Sender: TObject);
begin
ChkListBox1.selection := '';
ChkListBox1.items := filelistbox1.items;
edit1.text := '*.RTF';
re := 0;
selection := '';
end;

procedure TMultiOpendialog.FormShow(Sender: TObject);
begin
ChkListBox1.selection := selection;
end;

procedure TMultiOpendialog.FilterComboBox1Change(Sender: TObject);
begin
selection := '';
ChkListBox1.selection := '';
end;

procedure TMultiOpendialog.ChkListBox1DblClick(Sender: TObject);
begin
 selection := '';
 ChkListBox1.selection := '';
 edit1.text := ChkListBox1.items[ChkListBox1.itemindex];
 re := 1;
 modalresult := MrOk;
 close;
end;

end.
